# Note that this is NOT a relocatable package
%define ver      1.4.0
%define rel      1
%define prefix   /usr

Summary: The libXML library.
Name: libxml
Version: %ver
Release: %rel
Copyright: LGPL
Group: System Environment/Libraries
Source: ftp://ftp.gnome.org/pub/GNOME/sources/libxml/libxml-%{ver}.tar.gz
BuildRoot: /var/tmp/libxml-%{PACKAGE_VERSION}-root
URL: http://www.gnome.org
Prereq: /sbin/install-info
Docdir: %{prefix}/doc

%description
This library allows you to manipulate XML files.

%package devel
Summary: Libraries, includes and other files to develop libxml applications.
Group: Development/Libraries
Requires: libxml = %{PACKAGE_VERSION}
Requires: zlib-devel

%description devel
This packages contains the libraries, include and other files 
you can use to develop libxml applications.

%changelog
* Thu Aug 12 1999 Jonathan Blandford <jrb@redhat.com>
- version 1.4.0

* Thu Mar 04 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.0

* Fri Feb 12 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.5 built against gnome-libs-0.99.8

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.5

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- made clean section work again

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- bumped to 0.99.0 for GNOME freeze

* Sun Oct  4 1998 Daniel Veillard <Daniel.Veillard@w3.org>
- Added xml-config to the package

* Thu Sep 24 1998 Michael Fulbright <msf@redhat.com>
- Built release 0.30

%prep
%setup -q

%build

CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix 
make


%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)

%doc AUTHORS ChangeLog NEWS README COPYING COPYING.LIB TODO
%doc doc/html

%{prefix}/lib/lib*.so.*

%files devel
%defattr(-, root, root)
%{prefix}/bin/xml-config

%{prefix}/lib/lib*.so
%{prefix}/lib/*a
%{prefix}/lib/*.sh
%{prefix}/include/*
